import { type StorageBackend } from '../api/storage-backend.js';
import { StorageOperation } from '../api/storage-operation.js';
import { type ConfigMap } from '../../../integration/kube/resources/config-map/config-map.js';
/**
 * ConfigMapStorageBackend is a storage backend that uses a {@link ConfigMap} to store data.
 * The key will be the name of the property within the data object within the ConfigMap.
 */
export declare class ConfigMapStorageBackend implements StorageBackend {
    protected readonly configMap: ConfigMap;
    constructor(configMap: ConfigMap);
    delete(key: string): Promise<void>;
    isSupported(op: StorageOperation): boolean;
    list(): Promise<string[]>;
    readBytes(key: string): Promise<Buffer>;
    writeBytes(key: string, data: Buffer): Promise<void>;
}
